import { SvgIconProps } from "../../app/types/types";


export function FilterIcon(props: SvgIconProps) {
  return (
    <svg width="26" height="26" viewBox="0 0 26 26" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <path
        d="M13 2.16699C7.02649 2.16699 2.16663 7.02687 2.16663 13.0003C2.16663 18.9738 7.02649 23.8337 13 23.8337C18.9734 23.8337 23.8333 18.9738 23.8333 13.0003C23.8333 7.02687 18.9734 2.16699 13 2.16699ZM13 3.79199C18.0952 3.79199 22.2083 7.90508 22.2083 13.0003C22.2083 18.0956 18.0952 22.2087 13 22.2087C7.90471 22.2087 3.79163 18.0956 3.79163 13.0003C3.79163 7.90508 7.90471 3.79199 13 3.79199ZM7.85413 8.66699C7.74646 8.66547 7.63956 8.68536 7.53965 8.72551C7.43974 8.76566 7.34881 8.82526 7.27213 8.90086C7.19545 8.97646 7.13457 9.06654 7.09301 9.16588C7.05145 9.26521 7.03005 9.37182 7.03005 9.47949C7.03005 9.58717 7.05145 9.69377 7.09301 9.79311C7.13457 9.89244 7.19545 9.98252 7.27213 10.0581C7.34881 10.1337 7.43974 10.1933 7.53965 10.2335C7.63956 10.2736 7.74646 10.2935 7.85413 10.292H18.1458C18.2535 10.2935 18.3604 10.2736 18.4603 10.2335C18.5602 10.1933 18.6511 10.1337 18.7278 10.0581C18.8045 9.98252 18.8653 9.89244 18.9069 9.79311C18.9485 9.69377 18.9699 9.58717 18.9699 9.47949C18.9699 9.37182 18.9485 9.26521 18.9069 9.16588C18.8653 9.06654 18.8045 8.97646 18.7278 8.90086C18.6511 8.82526 18.5602 8.76566 18.4603 8.72551C18.3604 8.68536 18.2535 8.66547 18.1458 8.66699H7.85413ZM8.93746 12.4587C8.82979 12.4571 8.7229 12.477 8.62299 12.5172C8.52307 12.5573 8.43214 12.6169 8.35546 12.6925C8.27879 12.7681 8.2179 12.8582 8.17634 12.9575C8.13479 13.0569 8.11339 13.1635 8.11339 13.2712C8.11339 13.3788 8.13479 13.4854 8.17634 13.5848C8.2179 13.6841 8.27879 13.7742 8.35546 13.8498C8.43214 13.9254 8.52307 13.985 8.62299 14.0251C8.7229 14.0653 8.82979 14.0852 8.93746 14.0837H17.0625C17.1701 14.0852 17.277 14.0653 17.3769 14.0251C17.4768 13.985 17.5678 13.9254 17.6445 13.8498C17.7211 13.7742 17.782 13.6841 17.8236 13.5848C17.8651 13.4854 17.8865 13.3788 17.8865 13.2712C17.8865 13.1635 17.8651 13.0569 17.8236 12.9575C17.782 12.8582 17.7211 12.7681 17.6445 12.6925C17.5678 12.6169 17.4768 12.5573 17.3769 12.5172C17.277 12.477 17.1701 12.4571 17.0625 12.4587H8.93746ZM10.0208 16.2503C9.91313 16.2488 9.80623 16.2687 9.70632 16.3088C9.60641 16.349 9.51547 16.4086 9.4388 16.4842C9.36212 16.5598 9.30124 16.6499 9.25968 16.7492C9.21812 16.8485 9.19672 16.9551 9.19672 17.0628C9.19672 17.1705 9.21812 17.2771 9.25968 17.3764C9.30124 17.4758 9.36212 17.5659 9.4388 17.6415C9.51547 17.7171 9.60641 17.7767 9.70632 17.8168C9.80623 17.857 9.91313 17.8768 10.0208 17.8753H15.9791C16.0868 17.8768 16.1937 17.857 16.2936 17.8168C16.3935 17.7767 16.4844 17.7171 16.5611 17.6415C16.6378 17.5659 16.6987 17.4758 16.7402 17.3764C16.7818 17.2771 16.8032 17.1705 16.8032 17.0628C16.8032 16.9551 16.7818 16.8485 16.7402 16.7492C16.6987 16.6499 16.6378 16.5598 16.5611 16.4842C16.4844 16.4086 16.3935 16.349 16.2936 16.3088C16.1937 16.2687 16.0868 16.2488 15.9791 16.2503H10.0208Z"
        fill="#8691AC"
      />
    </svg>
  )
}
